html {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
*,
*:before,
*:after {
    -webkit-box-sizing: inherit;
    -moz-box-sizing: inherit;
    box-sizing: inherit;
    margin: 0;
    padding: 0;
}

html,
body {
    margin: 0;
    padding: 0;
    font-family: "Raleway", Helvetica, sans-serif;
    background-color: #4c5c96;
}

/* header */
header {
    width: 100%;
    height: 6vh;
    overflow-y: hidden;
    transition: all 0.2s;
    
}
header .c-header-bar {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    position: fixed;
    width: 100%;
    padding: 3px 0;
    background-color: #4c5c96;
    color: silver;
    margin: 0 auto;    
}
header .c-logo {
    height: 5vh;
}
.c-header-bar > span > a {
    color: #ccc; text-decoration: none; transition: all 0.3s;
}
.c-header-bar > span > a:hover, .c-header-bar > span > a:focus, .c-header-bar > span > a:active {
    color: gold;
}

.c-top-menu {
    margin-top: 60px;
}
.c-top-menu ul li {
    margin-top: 18px;
    border-bottom: silver 1px solid;
    padding-bottom: 10px;
}
.c-top-menu ul li a {
    color: gold;
    text-decoration: none;
    text-transform: uppercase;
    margin-left: 15px;
    transition: all 0.3s;
}

h1 a {color: inherit; text-decoration: none;}

main h1 {
    text-align: center;
    text-transform: uppercase;
    font-size: 130%;
    border-bottom: solid 2px rgba(255, 255, 255, 0.125);
    color: #ffffff;
    font-weight: 700;
    letter-spacing: 0.15em;
    max-width: 90%;
    margin: 10px auto;
    padding: 10px;
}
main h1 em {
    color: gold;
}
main h2 {
    color: white;
    font-size: 85%;
    text-align: center;
}


.c-main-icon {
    border: solid 2px rgba(255, 255, 255, 0.125);
    border-radius: 100%;
    display: inline-block;
    text-align: center;
    margin: 40px 0 20px 50px;
    padding: 5px 10px;
}
.c-main-icon img {
    width: 40px;
}

.c-top {
    background-image: linear-gradient(
        to left bottom,
        #1b3745,
        #113042,
        #09283f,
        #05213c,
        #051937
    );
    padding-bottom: 50px;
    transition: all 0.3s;
}
.c-top-inside {
    margin: 0 auto;
    width: 90%;
}

.c-top h1 {
    text-align: center;
    text-transform: uppercase;
    font-size: 130%;
    border-bottom: solid 2px rgba(255, 255, 255, 0.125);
    color: #ffffff;
    font-weight: 700;
    letter-spacing: 0.15em;
    margin: 20px auto;
    padding: 30px 0 10px;
}
.c-top h2 {
    text-align: center;
    text-transform: uppercase;
    font-size: 110%;
    color: #ffffff;
    font-weight: 700;
    letter-spacing: 0.15em;
    margin: 10px auto;
    padding: 10px;
}
.c-top p {
    color: #ffffff;
    text-transform: uppercase;
    font-weight: 200;
    letter-spacing: 0.1em;
    line-height: 2;
    margin: 0 auto;
}

.c-search {
    width: 100%;
    background-color: #4c5c96;
    padding: 20px 10px;
    margin: 10px 0;
    text-align: center;
}
.c-search input[type="search"] {
    background-color: #444;
    border: 2px solid gray;
    border-radius: 5px;
    font-size: 110%;
    padding: 6px 8px;
    color: white;
    width: 65%;
}
.c-search input[type="submit"] {
    appearance: none;
    border-radius: 5px;
    padding: 8px 8px;
    margin: 20px 0;
    border: 2px solid lightgray;
    background-color: rgba(53, 59, 94);
    color: white;
    text-transform: uppercase;
}

.c-dream-input {
    width: 90%;
    margin: 10px auto;
    transition: all 0.3s;
}
.c-dream-input h3 {
    color: #ffffff;
    margin: 20px 0;
    text-transform: uppercase;
}
.c-dream-input textarea {
    color: lightgray;
    background-color: rgba(0,0,0,0.35);
    width: 100%;
    height: 160px;
    border: 2px solid lightgray;
    border-radius: 5px;
    padding: 10px;
    font-family: "Source Sans Pro", Helvetica, sans-serif;
    font-size: 90%;
    font-weight: 300;
    line-height: 1.5;
}
.c-dream-input input[type="submit"] {
    appearance: none;
    width: 100%;
    border-radius: 5px;
    padding: 8px 0;
    margin: 20px 0;
    border: 2px solid lightgray;
    background-color: rgba(53, 59, 94);
    color: white;
    text-transform: uppercase;
    transition: all 0.3s;
}
.c-dream-input input[type="submit"]:focus {
    background-color: silver;
    border-radius: 10px;
}

.c-the-dream {
    width: 90%;
    margin: 20px auto;
    padding: 60px 20px;
    color: wheat;
}
.c-the-dream h1 {
    text-align: center;
    text-transform: uppercase;
    font-size: 130%;
    border-bottom: solid 2px rgba(255, 255, 255, 0.125);
    color: #ffffff;
    font-weight: 700;
    letter-spacing: 0.15em;
    max-width: 90%;
    margin: 10px auto;
    padding: 10px;
}
.c-the-dream p {
    font-weight: 300;
    letter-spacing: 0.1em;
    line-height: 1.4;
}
.c-the-dream .c-when-added {margin: 15px 0; color: lightblue;}

.c-analysis {
    width: 100%;
    background-color: #2e3141;
    padding: 20px 0;
}
.c-analysis h2 {
    text-transform: uppercase;
    padding: 30px 0;
    font-size: 100%;
    color: white;
    letter-spacing: 1px;
    text-align: center;
}
.c-word-solve {
    width: 90%;
    background-color: #353849;
    border-radius: 10px;
    margin: 0 auto 40px auto;
    padding: 20px 20px;
    transition: all 0.3s;
}
.c-word-solve:hover, .c-word-solve:focus {
    background-color: #333;
}
.c-word-solve a {
    text-decoration: none;
    color: white;
    transition: all 0.3s;
}
.c-word-solve a:hover, .c-word-solve a:focus {
    color: gold;
}
.c-word-solve h3 {
    text-transform: uppercase;
    border-bottom: solid 2px rgba(255, 255, 255, 0.125);
    margin: 10px 0;
    padding: 8px 0;
    font-size: 100%;
    color: white;
    letter-spacing: 1px;
}
.c-word-solve p {
    text-transform: none;
    line-height: 1.2;
    width: 100%;
    margin: 15px 0;
    letter-spacing: 0;
    color: white;
}
.c-word-solve .c-read-more {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 90%;
}
.c-word-solve .c-read-more span {
    border: solid 2px rgba(255, 255, 255, 0.125);
    border-radius: 100%;
    padding: 4px 8px;
    margin-right: 12px;
    position: relative;
    bottom: 1px;
    font-weight: bold;
}
.c-word-solve small {
    color: gold;
}


.c-solve {
    background-color: #2e3141;
    padding-bottom: 20px;
}

#id-word {
    color: white;
}

.c-dreams {
    padding: 40px 0 10px 0;
}
.c-dreams h3 {
    text-transform: uppercase;
    color: white;
    text-align: center;
    margin: 5px 0;
}
.c-dreams h4 {
    color: white;
    text-align: center;
}
.c-one-dream {
    width: 100%;
    margin: 30px auto 60px auto;
    padding: 30px 15px;
    transition: all 0.3s;
}
.c-one-dream:hover, .c-one-dream:focus {
    background-color: #444;
}
.c-one-dream p {
    margin: 10px 0;
    line-height: 1.3;
    font-size: 1rem;
    /* height: 200px; text-overflow: ellipsis; display: block; overflow: hidden; */
}
.c-one-dream p > a {
    color: white;
    text-decoration: none;
}
.c-one-dream > small {
    text-align: right;
    display: block;
    width: 100%;
    color: silver;
}
.c-one-dream .c-read-dream-analysis {
    text-align: right;
}
.c-one-dream .c-read-dream-analysis > span {
    color: white;
    border: 2px solid gray;
    border-radius: 100%;
    margin-right: 10px;
    padding: 2px 4px 3px 9px;
}
.c-one-dream .c-read-dream-analysis > a {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 80%;
    font-weight: bold;
    transition: all 0.3s;
}
.c-one-dream a {
    transition: all 0.3s;
}
.c-one-dream a:hover, .c-one-dream  a:focus {
    color: gold;
}
.c-view-more {
    background-color: #2e3141;
    text-align: center;
    padding: 30px 0;
    width: 100%;
}
.c-view-more a {
    color: white;
    text-transform: uppercase;
    text-decoration: none;
    border: 1px solid white;
    padding: 3px 8px;
    border-radius: 5px;
    display: block;
    max-width: 70%;
    margin: 0 auto;
    transition: all 0.3s;
}
.c-view-more a:hover, .c-view-more a:focus {
    background-color: silver;
    color: #333;
}

.c-d-left {
    background-color: #45558d;
}

.c-commonwords-wrapper {
    display: flex;
    width: 90%;
    margin: 0 auto;
    flex-direction: column;
    justify-content: space-around;
}

.c-commonwords h3 {
    color: white;
    text-transform: uppercase;
    margin-top: 70px;
}
.c-commonwords > div {
    border-bottom: 2px solid white;
    padding: 15px 0;
    transition: all 0.3s;
}
.c-commonwords > div:hover, .c-commonwords > div:focus {
    background-color: silver;
    padding-left: 10px;
}
.c-commonwords > div > span > a {
    color: white;
    text-decoration: none;
}
.c-commonwords a {
    transition: all 0.3s;
}
.c-commonwords a:hover, .c-commonwords a:focus {
    color: gold;
}

.c-stat-table {width: 80%; margin: 20px auto; color: white;}
.c-stat-table table {border-collapse:collapse}
.c-stat-table tr {transition: all 0.3s; }
.c-stat-table tr:hover {background-color: darkblue;}
.c-stat-table td {width: 50%; max-width: 250px; padding: 5px;}


.c-interpreters {width: 90%; text-align: center; margin: 0 auto;}
.c-interpreters h3, .c-interpreters h4 {color: lightblue}
.c-interpreters > div {display: flex; justify-content:space-between;}
.c-interpreters a {text-align: center; color: lightblue; text-decoration: none;}
.c-interpreters img {border: 4px solid transparent;}

.c-personal-form {
    width: 90%;
    margin: 0 auto;
}

.c-faq-wrapper {
    width: 90%;
    margin: 0 auto;
}

.c-about-wrapper {
    width: 90%;
    margin: 0 auto;
}

.c-tos-wrapper {
    width: 90%;
    margin: 0 auto;
}

.c-pager {
    width: 90%;
    margin: 10px auto;
    text-align: center;
    margin-bottom: 40px;
    color: gold;
}
.c-pager span {
    display: inline-block;
    margin: 0 10px;
}
.c-pager a {
    color: white;
}

.c-rss-link {
    text-align: center;
}
.c-rss-link img {
    width: 10vw;
    max-width: 30px;
    border-radius: 5px;
}

.c-israel-support {display: inline-block; background-color: white; color: blue; padding: 5px 20px; border-radius: 3px; transition: all 0.3s;}
.c-israel-support a {text-decoration: none; transition: all 0.3s;}
.c-israel-support a:hover {color: gold;}

.c-buy-database {font-size: 120%;}
.c-buy-database a {color:gold; text-decoration: none; transition: all 0.3s;}
.c-buy-database a:hover {color: white;}


footer {text-align: center; padding: 30px 0; color: white; background-color: black;}

/* hamburger */
.c-hamburger {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 24px;
    height: 24px;
    cursor: pointer;
    background-color: transparent;
    border: 0;
    transition: transform 0.3s ease-in-out;
}
.c-hamburger > span {
    width: 100%;
    height: 3px;
    background-color: #eee;
}

/* breadcrumbs */
.c-breadcrumb-nav {display: block; width: 90%; margin: 0 auto; padding: 5px 0; transition: all 0.3s; color: white; font-size: 90%;}
.c-breadcrumb {list-style: none;}
.c-breadcrumb-item {display: inline-block;}
.c-breadcrumb-item a {color: #ccc;}
.c-breadcrumb-item.active a {color: gold;}



.c-rotate {
    transform: rotate(90deg);
}

.waubutton {
    display: block !important;
    margin: 10px auto;
}

@media (min-width: 1024px) {
    header .c-header-bar {
        padding: 0 5%;
    }
    .c-top-menu li {
        text-align: center;
    }
    .c-top-menu li a:hover, .c-top-menu li a:focus {
        color: white;
    }
    .c-top-inside {
        width: 60%;
    }
    .c-dream-input {
        width: 60%;
    }
    .c-the-dream {
        width: 60%;
    }
    .c-the-dream p {
        margin-top: 20px;
    }
    .c-word-solve {
        width: 60%;
    }
    .c-one-dream {
        width: 60%;
        border-radius: 20px;
    }
    .c-dream-input {
        width: 60%;
    }
    .c-commonwords-wrapper {
        flex-direction: row;
    }
    .c-personal-form {
        width: 60%;
    }
    .c-faq-wrapper {
        width: 60%;
    }
    .c-about-wrapper {
        width: 60%;
    }
    .c-tos-wrapper {
        width: 60%;
    }
    .c-breadcrumb-nav {
        width: 60%;
    }
    .c-interpreters {width: 60%}
    .c-search input[type="search"] {width: 50%;}
}